## python-injector 0.20.1

=== requirements.txt ===
typing_extensions>=3.7.4;python_version<"3.9"

## python-injector 0.18.3

=== debian/changelog ===
python-injector (0.18.3-2) unstable; urgency=medium

  * Source-only upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Jun 2020 16:36:58 +0200

python-injector (0.18.3-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #958857).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Apr 2020 23:45:35 +0200

=== debian/control ===
Source: python-injector
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-typing-extensions,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/alecthomas/injector/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-injector.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-injector
Testsuite: autopkgtest-pkg-python

Package: python3-injector
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Python dependency injection framework
 While dependency injection is easy to do in Python due to its support
 for keyword arguments, the ease with which objects can be mocked and its
 dynamic nature, a framework for assisting in this process can remove a
 lot of boiler-plate from larger applications.
 .
 That's where Injector can help. It automatically and transitively
 provides dependencies for you. As an added benefit, Injector encourages
 nicely compartmentalised code through the use of :ref:modules <module>.
 .
 This package installs the library for Python 3.

## python-injector 0.18.4

=== debian/changelog ===
python-injector (0.18.4-2) unstable; urgency=medium

  * Team Upload.
  * Add python3-typing-extensions to Depends (Closes: #975090)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 19 Nov 2020 16:42:01 +0530

python-injector (0.18.4-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * d/control: Bump to DH compat level version 13.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Oct 2020 23:01:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: python-injector
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -14,8 +14,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/alecthomas/injector/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-injector.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-injector
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-injector.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-injector
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-injector
@@ -23,6 +23,7 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+ python3-typing-extensions,
 Description: Python dependency injection framework
  While dependency injection is easy to do in Python due to its support
  for keyword arguments, the ease with which objects can be mocked and its

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=injector

%:
	dh $@ --with python3 --buildsystem=pybuild

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-injector-$1.tar.gz%" \
   https://github.com/alecthomas/injector/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-injector 0.19.0

=== debian/changelog ===
python-injector (0.19.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary get-orig-source-target.

  [ Mike Gabriel ]
  * Re-add python3-typing-extensions to Depends. This got log
    in upload of 0.19.0-1 (which was uploaded before pulling
    in team upload changes from the packaging Git). Also weave-in
    changelog stanza of release 0.18.4-2.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 16 Apr 2022 07:53:07 +0200

python-injector (0.19.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 15 Apr 2022 22:39:25 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
  python3-typing-extensions,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/alecthomas/injector/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-injector.git

## python-injector 0.20.1

=== debian/changelog ===
python-injector (0.20.1-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 11:01:48 +0100

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-get-orig-source:
-	uscan --noconf --force-download --rename --download-current-version --destdir=..

## python-injector 0.21.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Injector.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Injector.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Injector"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Injector"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-injector (0.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 07 Apr 2024 17:33:13 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-all,
  python3-setuptools,
  python3-typing-extensions,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/alecthomas/injector/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-injector.git
